clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Run model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% uncomment the two lines below if second simulation involves a different .mod file

dynare nontraded   % model with no investment adjustment costs
save simulation0 dr_ ys_ lgy_ lgx_

% dynare incompletemarkets
% save simulation1 dr_ ys_ lgy_ lgx_


% number of periods for IRFs.
nperiods = 20;

%%%% Make figure to compare simulation 1 and 2
load simulation0 
shock = [0.0    %nnerr
         0.0    %nnerr2
         0.01   %nterr
         0.0];  %nterr2
dset = 'f0';        
makeirf

%load simulation1
shock = [0.0
         0.0
         0.01
         0.0];
dset = 'f1';        
makeirf

titlelist = char('Output (CP)','Output (in T units)','Investment','Consumption','Hours Worked');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% increase in productivity';
makechart(titlelist,legendlist,figlabel,...
          100*[(f0_yn_irf+f0_yt_irf)/f0_gdp, f0_gdp_irf/f0_gdp, f0_j_irf/f0_j, f0_cc_irf/f0_cc, f0_le_irf/f0_le],...
          100*[(f1_yn2_irf+f1_yt2_irf)/f1_gdp2, f1_gdp2_irf/f1_gdp2, f1_j2_irf/f1_j2, f1_cc2_irf/f1_cc2, f1_le2_irf/f1_le2])

      
titlelist = char('Traded Output','Nontraded Output','Labor Input, Traded','Labor Input, Nontraded','Traded Investment','Nontraded Investment','Domestic Traded Consumption Input','Nontraded Consumption Input');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% increase in productivity';      
makechart(titlelist,legendlist,figlabel,...
          100*[f0_yt_irf/f0_yt, f0_yn_irf/f0_yn,f0_let_irf/f0_let, f0_len_irf/f0_len, f0_jt_irf/f0_jt, f0_jn_irf/f0_jn, f0_cch_irf/f0_cch, f0_ccn_irf/f0_ccn],...
          100*[f1_yt2_irf/f1_yt2, f1_yn2_irf/f1_yn2, f1_let2_irf/f1_let2, f1_len2_irf/f1_len2, f1_jt2_irf/f1_jt2, f1_jn2_irf/f1_jn2, f1_cch2_irf/f1_cch2, f1_ccn_irf/f1_ccn2])
      
      
titlelist = char('Imports','Exports','Trade Balance (gdp share)','Terms of Trade','Real Exchange Rate (consumption based)','Relative Price of Nontraded Goods');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% increase in productivity';      
makechart(titlelist,legendlist,figlabel,...
          100*[(f0_ccm_irf + f0_im_irf)/(f0_ccm+f0_im), (f0_ccm2_irf+f0_im2_irf)/(f0_ccm2+f0_im2), f0_tby_irf, f0_pf_irf/f0_pf, f0_q_irf/f0_q, f0_pn_irf/f0_pn],...
          100*[(f1_ccm2_irf + f1_im2_irf)/(f1_ccm2+f1_im2), (f1_ccm_irf+f1_im_irf)/(f1_ccm+f1_im), f1_tby2_irf, f1_pf2_irf/f1_pf2, f1_q2_irf/f1_q2, f1_pn2_irf/f1_pn2])
      
         
